/**
 * Created by KangHaeSeok on 2017-07-20.
 */
/* 전역변수 담아놓은 곳 */
if (!smart) var smart = {};
if (!smart.customAdminMapping) smart.customAdminMapping = {};
var sc = smart.customAdminMapping;

/* basic setting function
=============================*/

// 전역 변수 및 기본/편집 메뉴 설정
sc.season = "winter";
sc.style = "formal";
sc.coupleCategory = "popular";

//선택된 프로덕트카테고리
sc.currentProductCategory = "";

//현재 성별
sc.gender = 'boy';

//현재 슬라이드 상태
sc.isSlide = true;

// 자켓 가리는지 판별하는 변수
sc.jacketHide = false;

//코디 부분 뒷모습보기 판별 변수
sc.isCoordiBack = false;

//슬라이드 부분 판별
sc.isSlideBack = false;
sc.isSlideJacketOff = false;

//남자 자켓이랑 조끼가 둘다 있는지 확인하는 변수
sc.boyJacketVestOn = false;
//여자 자켓이랑 조끼가 둘다 있는지 확인하는 변수
sc.girlJacketVestOn = false;

//기존 커플일 경우의 아이디
// sc.currentCoupleIndex = 0;

//이전 화면에서 ebook 카탈로그 클릭해서 시뮬레이션으로 넘어올 경우 해당하는 couple의 id 값이 담긴다.
//그냥 시작하기 하면 당근 0
sc.ebookCatalogCoupleIndex = 0;

//최종적으로 보여지는 이미지조각(main fabric)의 아이디 값
//현재 성별에 맞춰서 0이 아니라면 CurrentFitting 으로 들어간다.
sc.shirtsBoyFabric = 0;
sc.jacketBoyFabric = 0;
sc.vestBoyFabric = 0;
sc.pantsBoyFabric = 0;
sc.overallBoyFabric = 0;
sc.accessoryBoyFabric = 0;

sc.shirtsGirlFabric = 0;
sc.jacketGirlFabric = 0;
sc.vestGirlFabric = 0;
sc.pantsGirlFabric = 0;
sc.skirtGirlFabric = 0;
sc.onePieceGirlFabric = 0;
sc.overallGirlFabric = 0;
sc.dressGirlFabric = 0;
sc.accessoryGirlFabric = 0;

// 남녀 최종적으로 담겨지는 main fabric list
// 닫기 버튼 클릭하면 초기화된다
sc.girlFabricList = [];
sc.boyFabricList = [];

// 모든 프로덕트의 카테고리의 모음
// sc.productCategoryList = []


// 이미지조각(main fabric)의 setter
// 받은 프로덕트카테고리를 판별해서 전역변수에 담는다
sc.selectedFabricSetter = function (fabricPk, productCategory) {
    if(productCategory == "boyShirtsCategory"){
        sc.shirtsBoyFabric = fabricPk;
    }else if(productCategory == "boyJacketCategory"){
        sc.jacketBoyFabric = fabricPk;
    }else if(productCategory == "boyVestCategory"){
        sc.vestBoyFabric = fabricPk;
    }else if(productCategory == "boyPantsCategory"){
        sc.pantsBoyFabric = fabricPk;
    }else if(productCategory == "boyOverallCategory"){
        sc.overallBoyFabric = fabricPk;
    }else if(productCategory == "boyAccCategory"){
        sc.accessoryBoyFabric = fabricPk;
    }else if(productCategory == "girlShirtsCategory"){
        sc.shirtsGirlFabric = fabricPk;
    }else if(productCategory == "girlJacketCategory"){
        sc.jacketGirlFabric = fabricPk;
    }else if(productCategory == "girlVestCategory"){
        sc.vestGirlFabric = fabricPk;
    }else if(productCategory == "girlPantsCategory"){
        sc.pantsGirlFabric = fabricPk;
    }else if(productCategory == "girlSkirtCategory"){
        sc.skirtGirlFabric = fabricPk;
    }else if(productCategory == "girlOnePieceCategory"){
        sc.onePieceGirlFabric = fabricPk;
    }else if(productCategory == "girlOverallCategory"){
        sc.overallGirlFabric = fabricPk;
    }else if(productCategory == "girlDressCategory"){
        sc.dressGirlFabric = fabricPk;
    }else if(productCategory == "girlAccCategory"){
        sc.accessoryGirlFabric = fabricPk;
    }else {
        alert('productCategory의 값이 이상하다.')
    }

};


//남자 혹은 여자의 모든 선택된 페브릭 조각들을 리스트에 담는다
sc.getCoordiFabricList = function () {

    //리스트를 이제 새로 채워준다
    if(sc.gender == "girl"){

        //전에 담겼던것들을 비워준다 걱정마라 어차피 sc.shirtsBoyFabric,  sc.jacketBoyFabric 등 세터에 다 저장되어있다.
        sc.girlFabricList = [];

        sc.girlFabricList.push(sc.shirtsGirlFabric);
        sc.girlFabricList.push(sc.jacketGirlFabric);
        sc.girlFabricList.push(sc.vestGirlFabric);
        sc.girlFabricList.push(sc.pantsGirlFabric);
        sc.girlFabricList.push(sc.skirtGirlFabric);
        sc.girlFabricList.push(sc.onePieceGirlFabric);
        sc.girlFabricList.push(sc.overallGirlFabric);
        sc.girlFabricList.push(sc.dressGirlFabric);
        sc.girlFabricList.push(sc.accessoryGirlFabric);
    }else{

        //전에 담겼던것들을 비워준다 걱정마라 어차피 sc.shirtsBoyFabric,  sc.jacketBoyFabric 등 세터에 다 저장되어있다.
        sc.boyFabricList = [];

        sc.boyFabricList.push(sc.shirtsBoyFabric);
        sc.boyFabricList.push(sc.jacketBoyFabric);
        sc.boyFabricList.push(sc.vestBoyFabric);
        sc.boyFabricList.push(sc.pantsBoyFabric);
        sc.boyFabricList.push(sc.overallBoyFabric);
        sc.boyFabricList.push(sc.accessoryBoyFabric);
    }
};




//선택된 main fabric 전역변수 및 main fabric list 초기화 메서드
sc.variableInitialization = function () {
    sc.shirtsBoyFabric = 0;
    sc.jacketBoyFabric = 0;
    sc.vestBoyFabric = 0;
    sc.pantsBoyFabric = 0;
    sc.overallBoyFabric = 0;
    sc.accessoryBoyFabric = 0;

    sc.shirtsGirlFabric = 0;
    sc.jacketGirlFabric = 0;
    sc.vestGirlFabric = 0;
    sc.pantsGirlFabric = 0;
    sc.skirtGirlFabric = 0;
    sc.onePieceGirlFabric = 0;
    sc.accessoryGirlFabric = 0;
    sc.overallGirlFabric = 0;
    sc.dressGirlFabric = 0;

    sc.girlFabricList = [];
    sc.boyFabricList = [];
};
